# OpalMixerNode::AudioMixer::CachedAudio Struct Reference

`#include <opalmixer.h>`

Collaboration diagram for OpalMixerNode::AudioMixer::CachedAudio:

[legend]

## Public Types

| Collecting
| Collected
| Completed
enum | { Collecting, Collected, Completed }

## Public Member Functions

| CachedAudio ()
| ~CachedAudio ()

## Data Fields

enum OpalMixerNode::AudioMixer::CachedAudio:: { ... } | m_state
RTP_DataFrame | m_raw
RTP_DataFrame | m_encoded
OpalTranscoder * | m_transcoder

## Member Enumeration Documentation

anonymous enum

Enumerator:

  Collecting |
  Collected |
  Completed |

## Constructor & Destructor Documentation

OpalMixerNode::AudioMixer::CachedAudio::CachedAudio | ( |  | ) |

OpalMixerNode::AudioMixer::CachedAudio::~CachedAudio | ( |  | ) |

## Field Documentation

RTP_DataFrame OpalMixerNode::AudioMixer::CachedAudio::m_encoded

RTP_DataFrame OpalMixerNode::AudioMixer::CachedAudio::m_raw

enum { ... } OpalMixerNode::AudioMixer::CachedAudio::m_state

OpalTranscoder* OpalMixerNode::AudioMixer::CachedAudio::m_transcoder

The documentation for this struct was generated from the following file:

- opalmixer.h